precision lowp float;
varying vec2 v_uv0;

uniform sampler2D s_texture0;
uniform sampler2D s_texture1;

void main()
{
  vec4 clr    = texture2D(s_texture0, v_uv0);
  vec4 alpha  = texture2D(s_texture1, v_uv0);

  gl_FragColor = vec4(clr.r, clr.g, clr.b, alpha.x);
}