precision lowp float;
varying vec2 v_uv0;

uniform sampler2D s_texture0;
uniform sampler2D s_texture1;
uniform vec4      u_color;

void main()
{
  vec4 tex_clr   = texture2D(s_texture0, v_uv0);
  vec4 tex_alpha = texture2D(s_texture1, v_uv0);
  
  gl_FragColor.rgb  = u_color.rgb * tex_clr.rgb;
  gl_FragColor.a    = u_color.a * tex_alpha.x;
}