precision lowp float;
varying vec2 v_uv0;
varying vec4 v_color0;

uniform sampler2D s_texture0;
uniform vec4      u_color;

void main()
{
  vec4 tex_clr      = texture2D(s_texture0, v_uv0);
  //float alpha       = v_color0.a * tex_clr.a;
  
  gl_FragColor.rgb  = v_color0.rgb + tex_clr.rgb;
  gl_FragColor.a    = u_color.a * v_color0.a;
}