uniform mat4 u_mvp;
attribute vec4 a_position;
attribute vec4 a_color0;
attribute vec2 a_uv0;

varying vec4 v_color0;
varying vec4 v_color_add;
varying vec2 v_uv0;

const float modifier = 0.4;

void main()
{
  float factor  = modifier * clamp(1.0 - length(a_position.xyz) / 110.0, 0.0, 1.0);
  v_color_add    = vec4(0.710, 0.533, 0.036, 0.0) * factor;
  
  gl_Position = a_position * u_mvp;
  v_color0    = a_color0;
  v_uv0       = a_uv0;
}