precision lowp float;
varying vec2 v_uv0;
varying vec4 v_color_add;

uniform sampler2D s_texture0;
uniform sampler2D s_texture1;

void main()
{
  vec4 tex_clr   = texture2D(s_texture0, v_uv0, -0.5);
  vec4 tex_alpha = texture2D(s_texture1, v_uv0, -0.5).rrrr;
  
  gl_FragColor = vec4(tex_clr.rgb, tex_alpha.r) + v_color_add;  
}