uniform mat4  u_mvp;
uniform float u_time;
uniform vec2  u_time_speed_uv;

attribute vec4 a_position;
attribute vec2 a_uv0;
attribute vec4 a_color0;

varying   vec2 v_uv0;
varying   vec4 v_color0;

void main()
{
  gl_Position = a_position * u_mvp;
  v_uv0       = a_uv0 + u_time * u_time_speed_uv;
  v_color0    = a_color0;
}