attribute lowp vec4 color0;
attribute vec3 position;
attribute mediump vec2 tex0;
attribute mediump float param1; // softness
uniform highp mat4 mvpMat;

varying mediump vec2 outTex;
varying mediump vec4 outColor;
varying mediump vec4 range;
varying mediump vec2 offset;

void main()
{
    gl_Position = mvpMat * vec4(position, 1.0);
    outTex = tex0;
    outColor = color0;
    range = vec4( 0.5-param1, 0.5+param1, 0.5-param1*1.4, 0.5+param1*2.4 );
    offset.y = param1 / 17.0;
    offset.x = offset.y / 7.0;
}
