attribute lowp vec4 color0;
attribute vec3 position;
attribute mediump vec2 tex0;
attribute mediump float param1; // softness
attribute mediump float param2; // cut-off border
attribute lowp vec4 colorOutline;
uniform highp mat4 mvpMat;

varying mediump vec2 outTex;
varying mediump vec4 outColor;
varying mediump vec4 range;
varying mediump vec4 outlineColor;

void main()
{
    gl_Position = mvpMat * vec4(position, 1.0);
    outTex = tex0;
    outColor = color0;
    outlineColor = colorOutline;
    range = vec4( 0.5-param1, 0.5+param1, param2-param1, param2+param1 );
}
