uniform mat4 u_mvp;
uniform mat4 u_m;
attribute vec4 a_position;
attribute vec2 a_uv0;

varying float vtx_height_w;
varying vec2  v_uv0;

void main()
{
  gl_Position   = a_position * u_mvp;
  vec4 posW     = a_position * u_m;
  vtx_height_w  = posW.y;
  v_uv0         = a_uv0;
}