precision highp float;

varying float v_lerpfac;
varying vec2  v_uv0;
varying vec2  v_uv1;

uniform sampler2D s_texture0;
uniform sampler2D s_texture1;

void main()
{ 
  vec4 clr1 = texture2D(s_texture0, v_uv0);  
  vec4 clr2 = texture2D(s_texture1, v_uv1);  
  vec4 clr  = v_lerpfac * clr1  + (1.0 - v_lerpfac) * clr2;
  clr.a     = 1.0;
    
  gl_FragColor = clr;  
}