precision lowp float;

varying vec2  v_uv0;
varying float rel_height;

const vec4 pink           = vec4(0.8906, 0.7148, 0.9531, 1.0);
const lowp vec4 out_color  = vec4(0.105, 0.324, 0.047, 0.6);

uniform sampler2D s_texture0;

void main()
{
  vec4 tex_clr  = texture2D(s_texture0, v_uv0); 
  tex_clr.rgb   = rel_height * pink.rgb + (1.0 - rel_height) * tex_clr.rgb;  
  tex_clr.a     = 1.0;
  gl_FragColor  = tex_clr;    
}