precision lowp float;

varying vec2  v_uv0;
varying vec4  v_color0;
varying float rel_height;

uniform int u_shadow;

const vec4 pink           = vec4(0.8906, 0.7148, 0.9531, 1.0);
const lowp vec4 out_color  = vec4(0.105, 0.324, 0.047, 0.6);

void main()
{
  vec4 tex_clr = v_color0;
  
  if(tex_clr.a < 0.1)
  {
    discard;
  }
  
  tex_clr.rgb   = rel_height * pink.rgb + (1.0 - rel_height) * tex_clr.rgb;  
  gl_FragColor  = tex_clr;
  
  // Debug show relative height
  //gl_FragColor  = vec4(rel_height, rel_height, rel_height);
}