attribute vec4 color;
attribute vec3 position;
attribute vec2 tex0;
attribute vec4 colorAdditive;
uniform highp mat4 mvpMat;

varying lowp vec2 outTex;
varying lowp vec4 outColor0;
varying lowp vec4 outColor1;

void main()
{
	gl_Position = mvpMat * vec4(position, 1.0);
	outTex = tex0;
	outColor0 = color;
	outColor1 = colorAdditive;
}