attribute vec4 color0;
attribute vec3 position;
attribute vec2 tex0;
attribute float param1; // softness
uniform highp mat4 mvpMat;

varying mediump vec2 outTex;
varying mediump vec4 outColor;
varying mediump vec2 range;

void main()
{
    gl_Position = mvpMat * vec4(position, 1.0);
    outTex = tex0;
    outColor = color0;
    range = vec2( 0.5-param1, 0.5+param1 );
}
