attribute lowp vec4 color0;
attribute vec3 position;
attribute mediump vec2 tex0;
attribute mediump float param1; // softness
attribute mediump float param2; // cut-off border
attribute lowp vec4 colorOutline;
attribute lowp vec4 colorAdditive;
uniform highp mat4 mvpMat;

varying mediump vec2 outTex;
varying mediump vec4 outColor;
varying mediump vec4 range;
varying mediump vec2 offset;
varying mediump vec4 outlineColor;
varying mediump vec4 additiveColor;

void main()
{
    gl_Position = mvpMat * vec4(position, 1.0);
    outTex = tex0;
    outColor = color0;
    outlineColor = colorOutline;
	additiveColor = colorAdditive;
    range = vec4( 0.5-param1, 0.5+param1, param2-param1, param2+param1 );
    offset.y = (0.5 - param2) / 56.0;
    offset.x = offset.y/5.0;
}
